Autore Topic: Errore jdk required - linux  (Letto 979 volte)

Offline asdomar

  • Nuovo arrivato
  • *
  • Post: 10
  • Respect: 0
    • Mostra profilo
  • Dispositivo Android:
    Asus MemoPad HD 7
  • Sistema operativo:
    Manjaro Linux / Windows 7
Errore jdk required - linux
« il: 11 Novembre 2013, 20:10:59 CET »
0
Ho scaricato Android Studio per Linux e ho riscontrato questo errore nel momento in cui eseguo il file studio.sh:
Codice: [Seleziona]
'tools.jar' seems to be not in Android Studio classpath.
Please ensure JAVA_HOME points to JDK rather than JRE.
Eppure il jdk risulta installato...
« Ultima modifica: 11 Novembre 2013, 20:14:03 CET da aleubuntu »
"La soluzione sta nel mezzo"

Offline felasandroid

  • Utente normale
  • ***
  • Post: 345
  • Respect: +10
    • Github
    • balduzziantonio
    • balduzziantonio.unifi
    • Mostra profilo
  • Dispositivo Android:
    Huawei P8 Lite
  • Play Store ID:
    FelasTech
  • Sistema operativo:
    Windows 10
Re:Errore jdk required - linux
« Risposta #1 il: 11 Novembre 2013, 20:58:04 CET »
0
Prova ad aggiungere

export JAVA_HOME="/usr/lib/jvm/jdk1.7.0_25"
export PATH="$PATH:$JAVA_HOME/bin"

nel file bashrc

controlla la versione tua di java naturalmente e il path

Offline iceweasel

  • Moderatore globale
  • Utente senior
  • *****
  • Post: 878
  • Respect: +147
    • Mostra profilo
  • Dispositivo Android:
    LGE P990 - Google Nexus 5
  • Sistema operativo:
    Linux Debian Sid
Re:Errore jdk required - linux
« Risposta #2 il: 12 Novembre 2013, 01:59:47 CET »
0
Il file corretto è ".bashrc" (ha il punto davanti)  e si trova nella tua home.
adb logcat | tee /tmp/logcat | grep TAG

Offline asdomar

  • Nuovo arrivato
  • *
  • Post: 10
  • Respect: 0
    • Mostra profilo
  • Dispositivo Android:
    Asus MemoPad HD 7
  • Sistema operativo:
    Manjaro Linux / Windows 7
Re:Errore jdk required - linux
« Risposta #3 il: 12 Novembre 2013, 15:26:19 CET »
0
Ok grazie risolto!  :-)
"La soluzione sta nel mezzo"

Offline felasandroid

  • Utente normale
  • ***
  • Post: 345
  • Respect: +10
    • Github
    • balduzziantonio
    • balduzziantonio.unifi
    • Mostra profilo
  • Dispositivo Android:
    Huawei P8 Lite
  • Play Store ID:
    FelasTech
  • Sistema operativo:
    Windows 10
Re:Errore jdk required - linux
« Risposta #4 il: 12 Novembre 2013, 15:48:10 CET »
0
Ok grazie risolto!  :-)

era quello il motivo o altro?

cmq in ogni caso ben ;-)

Offline asdomar

  • Nuovo arrivato
  • *
  • Post: 10
  • Respect: 0
    • Mostra profilo
  • Dispositivo Android:
    Asus MemoPad HD 7
  • Sistema operativo:
    Manjaro Linux / Windows 7
Re:Errore jdk required - linux
« Risposta #5 il: 12 Novembre 2013, 16:45:05 CET »
0
No il problema era che il jdk non era stato installato correttamente. Ho disinstalato, reinstallato e riavviato ed è andato a posto.
"La soluzione sta nel mezzo"

Offline felasandroid

  • Utente normale
  • ***
  • Post: 345
  • Respect: +10
    • Github
    • balduzziantonio
    • balduzziantonio.unifi
    • Mostra profilo
  • Dispositivo Android:
    Huawei P8 Lite
  • Play Store ID:
    FelasTech
  • Sistema operativo:
    Windows 10
Re:Errore jdk required - linux
« Risposta #6 il: 12 Novembre 2013, 16:47:08 CET »
0
perfetto! puoi mettere risolto ora